Subject: Re: bug#12125: emacsclient should work like "emacsclient -t" when $DISPLAY is not set
From: Dan Nicolaescu <[email-masked]>
To: Chong Yidong <[email-masked]>
Cc: [email-masked]
Date: Wed, 19 Sep 2012 12:00:16 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Chong Yidong <[email-masked]> writes:

> Dan Nicolaescu <[email-masked]> writes:
>
>> When connecting to a host which runs "emacs --daemon" with "ssh -x"
>> (so $DISPLAY is not set)
>>
>> $ emacsclient FILENAME 
>>
>> says "Waiting for Emacs..." and does not open any frame.
>>
>> It should instead work like "emacsclient -t FILENAME" and open a
>> terminal frame.
>
> Hmm, according to the code in emacsclient.c, emacsclient should already
> do the right thing when DISPLAY is not set.  And I verified this by
> doing 
>
> $ export DISPLAY=""
> $ emacsclient -c FILENAME
>
> => FILENAME is opened in the terminal.

Thanks. I get the same too, I might have had an old emacsclient in my path, so
closing this bug.